# 基本信息
from util import UtilDate
from util import UtilNumber


class BaseInfo:
    info_title: str  # 标题
    key_word: str  # 关键词
    info_bianhao: str  # 案号
    info_address: str  # 管辖法院
    info_time: str  # 发布日期 #yyyy-mm-dd
    info_id: str  # 案件ID
    info_yuanyou: str  # 裁判理由
    info_content: str  # 正文内容

    # 判断本条信息日期是否在指定日期（含）之后
    def isAfter(self, sDate: str) -> bool:
        if sDate == "":
            return False
        else:
            if self.info_time >= sDate:
                return True
            else:
                return False

    def toString(self):
        return self.info_title + "\t" + self.key_word + "\t" + self.info_bianhao + "\t" + self.info_address + "\t" + self.info_time + "\t" + self.info_id
